> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/ai-assistant/journey.md).

# Journey

Use the `journey` query to get the information of the journey set via console.

### Arguments

| Argument       | Type | Description          |
| -------------- | ---- | -------------------- |
| `assistanceId` | ID   | Id of the assistant. |

### Available fields

| Field                | Type              | Description                                                                                                               |
| -------------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------------- |
| `id`                 | ID                | Id of Journey.                                                                                                            |
| `sendWelcomeMessage` | Boolean!          | Set to *`True`* to send a welcome message when the user is onboarded, otherwise *`False`*.                                |
| `welcomeMessage`     | String            | Sets the welcome message.                                                                                                 |
| `dayJourney`         | \[dayJourneyType] | [See more.](https://app.gitbook.com/o/-LwqSh0rNboNaGEQruZQ/s/-LwqSnBDpAb6mFZYLsuB/~/changes/1950/objects/wgpt/dayjourney) |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
query{
  journey(assistantId:"QXNzaXN0YW50OjMyNDk0WZjLTQ0NzQtNDkzYS1hMWYxLTZiMTZmNjdZmZhNQ=="){
    journey{
      id
      sendWelcomeMessage
      welcomeMessage
      dayJourney{
        id
        interactions{
          id
          goal
          interaction
        }
        skipped
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "assistants": [
      {
        "id": "QXNzaXN0YW501jMyNDk0YWZjLTQ0NzQtNDkzYS1hMWYxLTZiTZmNjdhZmZhNQ==",
        "name": "Welcome Sequence",
        "onboarding": false,
        "onboardingPrompt": "",
        "mainGoal": "Help clients navigate the 1st 30 days of healthy lifestyle",
        "mode": "MANUAL",
        "program": null,
        "voice": "friendly professional",
        "journey": {
          "dayJourney": [
            {
              "order": 1,
              "skipped": false,
              "id": "RGF5Sm91cm5leTpiYjJmNTk2Ni00MGY1LTQxZDcOGY5ZS03N2I0YmFkYTRiMDM=",
              "interactions": [
                {
                  "goal": "welcome new members to the app and the start of their wellness journey",
                  "interaction": "Welcome! We're excited for you to take a look around!",
                  "id": "SW50ZXJhY3Rpb246ZmZiMzgyZjItNTNhMS00YWY4LWE2YTgtM2NjZWVkOTQ5ZWI5"
                }
              ]
            },
            {
              "order": 2,
              "skipped": false,
              "id": "RGF5Sm91cm5leTowNjRlNmVmOC1lOTkxLTQ0NTgtOTI4NS0zNGQ3YmVlYjI4jA=",
              "interactions": [
                {
                  "goal": "hydration",
                  "interaction": "Remind the user about drinking water",
                  "id": "SW0ZXJhY3Rpb246YmI4NGEwYmYtYmQ3ZS00ZDRmLTlmN2MtYjE0M2Q0M2NlZDM2"
                }
              ]
            },
            {
              "order": 3,
              "skipped": false,
              "id": "RGF5Sm91cm5leTphYzFhYm2Zi1mOWFlLTQzN2QtYTU3My0yMGYyODQ0ZDZmTE=",
              "interactions": [
                {
                  "goal": "sleep",
                  "interaction": "Remind the user about the importance of getting enough sleep",
                  "id": "SW50ZXJhY3Rpb246YmFkMDkwYWEtZjNkYS00NzVkLTk2Y2QtNmJmNzcwM2YzYjhh"
                }
              ]
            },
            {
              "order": 4,
              "skipped": false,
              "id": "RGF5Sm91cm5leowMjk1YmY2Mi1iOWYxLTQwMjAtYTIzMy0xNTZhZTA5ZjNjNzA=",
              "interactions": [
                {
                  "goal": "movement",
                  "interaction": "Remind the user about the importance of a regular movement routine",
                  "id": "SW50ZXJhY3Rpb246ZDMzNDQ5MDUtNmMwMi00N2RjLTk1N2ItMzdhZGE5NmNkOWM1"
                }
              ]
            },
          "welcomeMessage": "Welcome to your wellness journey!",
          "sendWelcomeMessage": true,
          "id": "Sm91cmleTowNTM1NDgwNC0xZWVlLTQzN2YtYjczNS01N2IwZGE2MzA0ZDQ="
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/ai-assistant/journey.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
